Subject: bug#36729: 27.0.50; Unclear total in directory listing

From: Mattias Engdegård <[email-masked]>
Date: Sun, 21 Jul 2019 10:19:13 +0200

19 juli 2019 kl. 14.16 skrev Eli Zaretskii <[email-masked]>:
> 
> Feel free to suggest a clarification in the doc string of 'dired'.

Frankly, I wouldn't know what to write. That the number should be ignored? We'd better remove it in the first place.
Of course, someone is bound to complain if such a thing were attempted.

19 juli 2019 kl. 15.28 skrev Stephen Berman <[email-masked]>:
> 
> On systems that use `ls' (at least the GNU version), users can do that
> by setting the environment variable BLOCK_SIZE, but since the change to
> the display of "available" was unconditional (if I'm not mistaken), we
> could do the same for the display of "total used", e.g. as in the below
> patch.  (But since this won't work on systems that don't use GNU `ls',
> either another solution just for them or a different general one would
> be needed.)

Thank you -- specifically, it doesn't work for BSD ls.
We could set BLOCKSIZE to 1024 -- this works on both GNU and BSD ls -- and then post-process the output. Or insert the switch `-k', which is in Posix (in contrast to BLOCKSIZE or BLOCK_SIZE), but I don't know if that would break any customisation.

It's all very fragile. Migrating to a fully built-in directory lister seems to be the only sane way out, and it's considerably more work than I anticipated for this little detail.